-- ABS-65241/ ABS-66017

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 203,
       'Move Stop Permanent',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 204,
       'Add New Contact Message',
       'N',
       'N',
       5,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 205,
       'Update Existing Contact Message',
       'N',
       'N',
       5,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 206,
       'Proof of Visit Scan',
       'N',
       'N',
       3,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 207,
       'Signature Capture',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 208,
       'Move Stop Temporarily',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 209,
       'Change GPS Coordinates',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 400,
       'Change Delivered Qty',
       'N',
       'N',
       6,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 401,
       'Pick Up Qty (SER)',
       'N',
       'N',
       6,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 402,
       'Soil Count per Cons. Point',
       'N',
       'N',
       6,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 403,
       'Soil Count per Soil Ticket',
       'N',
       'N',
       6,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 500,
       'Add Product',
       'Y',
       'Y',
       4,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 501,
       'Quit Product',
       'Y',
       'Y',
       4,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 502,
       'Modify Quantity',
       'N',
       'N',
       4,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 503,
       'Add Temporary Delivery Stop',
       'N',
       'N',
       4,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 600,
       'On Site Soil Scan',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 601,
       'Flag unique item',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 602,
       'Mark for replacement',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID in (203,204,205,206,207,208,209,220,400,401,402,403,500,501,502,503,504,505,506,507,600,601,602,703,704,804,805,750,751,752);
commit;